Skip to main content
GET
/
v1
/
admin
/
notifications
/
reminder-rules
List reminder rules
curl --request GET \
  --url https://{operatorDomain}/v1/admin/notifications/reminder-rules \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "nrul_01h...",
    "name": "<string>",
    "trigger": "balance_due",
    "enabled": true,
    "stages": [
      {
        "id": "nstg_01h...",
        "ruleId": "<string>",
        "offsetDays": 123,
        "position": 123,
        "channels": [
          {}
        ]
      }
    ]
  }
]

Authorizations

Authorization
string
header
required

Staff session or API token issued by your Voyant app.

Response

200 - application/json

List of reminder rules

id
string
required
Example:

"nrul_01h..."

name
string
required
trigger
string
Example:

"balance_due"

enabled
boolean
stages
object[]